> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://devin.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://devin.ferndocs.com/_mcp/server.

# Remove a branch from indexing

DELETE https://api.devin.ai/v3beta1/organizations/{org_id}/repositories/{repository_path}/indexing/branches/{branch_name}

Reference: https://devin.ferndocs.com/api-reference/v-3/remove-indexed-branch

## Authentication

- `Authorization` header (bearer token, required) — Personal API Key (apk_user_*) or Service API Key (apk_*)

## Request

### Path parameters

- `repository_path` (string, required)
- `branch_name` (string, required)
- `org_id` (string, required)

## Response

### 200

Successful Response

- `branches` (list of string, required)
- `indexing_enabled` (boolean, required)
- `repository_path` (string, required)
- `indexing_status` (RepoIndexingStatusResponse, optional, nullable)

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### RepoIndexingStatusResponse

- `indexing_enabled` (boolean, required)
- `latest_completed_search_index_job` (RepoIndexJobResponse, required, nullable)
- `latest_completed_wiki_index_job` (RepoIndexJobResponse, required, nullable)
- `latest_indexes` (list of RepoIndexJobResponse, required)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### RepoIndexJobResponse

- `branch_name` (string, required, nullable)
- `commit` (string, required)
- `created_at` (integer, required)
- `job_id` (string, required)
- `status` (enum, required)
  - Allowed values: `failed`, `completed`, `in_progress`

### ValidationErrorLocItems

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "branches": [
    "feature/login"
  ],
  "indexing_enabled": true,
  "repository_path": "org1/project-alpha",
  "indexing_status": {
    "indexing_enabled": true,
    "latest_completed_search_index_job": {
      "commit": "a1b2c3d4e5f6g7h8i9j0",
      "created_at": "2024-06-10T12:45:00Z",
      "job_id": "job-987654321",
      "status": "completed"
    },
    "latest_completed_wiki_index_job": {
      "commit": "a1b2c3d4e5f6g7h8i9j0",
      "created_at": "2024-06-10T12:50:00Z",
      "job_id": "job-987654322",
      "status": "completed"
    },
    "latest_indexes": [
      {
        "commit": "a1b2c3d4e5f6g7h8i9j0",
        "created_at": "2024-06-10T12:55:00Z",
        "job_id": "job-987654323",
        "status": "completed"
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.devin.ai/v3beta1/organizations/org_id/repositories/repository_path/indexing/branches/branch_name"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.devin.ai/v3beta1/organizations/org_id/repositories/repository_path/indexing/branches/branch_name';
const options = {
  method: 'DELETE',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.devin.ai/v3beta1/organizations/org_id/repositories/repository_path/indexing/branches/branch_name"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("DELETE", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.devin.ai/v3beta1/organizations/org_id/repositories/repository_path/indexing/branches/branch_name")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.devin.ai/v3beta1/organizations/org_id/repositories/repository_path/indexing/branches/branch_name")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://api.devin.ai/v3beta1/organizations/org_id/repositories/repository_path/indexing/branches/branch_name', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.devin.ai/v3beta1/organizations/org_id/repositories/repository_path/indexing/branches/branch_name");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.devin.ai/v3beta1/organizations/org_id/repositories/repository_path/indexing/branches/branch_name")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```